---
dependency:
  name: galaxy
driver:
  name: vagrant
platforms:
  - name: kube-first-cp
    box: generic/ubuntu2204
    cpu: 4
    memory: 6144
    interfaces:
      - network_name: private_network
        ip: 192.168.56.16
  - name: kube-second-cp
    box: generic/ubuntu2204
    cpu: 4
    memory: 6144
    interfaces:
      - network_name: private_network
        ip: 192.168.56.17
  - name: kube-worker-1
    box: generic/ubuntu2204
    cpu: 4
    memory: 6144
    interfaces:
      - network_name: private_network
        ip: 192.168.56.18
  - name: kube-worker-2
    box: generic/ubuntu2204
    cpu: 4
    memory: 6144
    interfaces:
      - network_name: private_network
        ip: 192.168.56.19
  - name: kube-worker-3
    box: generic/ubuntu2204
    cpu: 4
    memory: 6144
    interfaces:
      - network_name: private_network
        ip: 192.168.56.20
provisioner:
  name: ansible
  config_options:
    ssh_connection:
      ssh_args: -o StrictHostKeyChecking=no -o User=vagrant
      timeout: 300
  inventory:
    hosts:
      firstcp:
        hosts:
          kube-first-cp:
      restcps:
        hosts:
          kube-second-cp:
      allcps:
        children:
          firstcp:
          restcps:
        vars:
          var_kube_install_version: 1.27.1-00
      workers:
        hosts:
          kube-worker-1:
          kube-worker-2:
          kube-worker-3:
      allkube:
        children:
          allcps:
          workers:
    host_vars:
      kube-first-cp:
        var_host_endpoint_ip: 192.168.56.16
      kube-second-cp:
        var_host_endpoint_ip: 192.168.56.17
      kube-worker-1:
        var_host_endpoint_ip: 192.168.56.18
      kube-worker-2:
        var_host_endpoint_ip: 192.168.56.19
      kube-worker-3:
        var_host_endpoint_ip: 192.168.56.20
verifier:
  name: ansible
